import java.util.*;

public class Sample {
  public static List<Person> createPeople() {
    return List.of(
      new Person("Sara", 20),
      new Person("Bob", 20),
      new Person("Sara", 20),
      new Person("Paul", 32),
      new Person("Paula", 32),
      new Person("Jack", 2),
      new Person("Jack", 72),
      new Person("Pete", 35)
    );
  }

  public static void main(String[] args) {
    List<Person> people = createPeople();

    System.out.println("is everyone older than 30? " +
      people.stream().anyMatch(person -> person.getAge() > 30));

    System.out.println("is everyone older than 100? " +
      people.stream().anyMatch(person -> person.getAge() > 100));
  }
}

//allMatch will shortcircuit if it finds the first element that
//does not meet the condition given in the predicate.

