import java.util.*;
import static java.util.stream.Collectors.*;

public class Sample {
  public static List<Person> createPeople() {
    return List.of(
      new Person("Sara", 20),
      new Person("Bob", 20),
      new Person("Sara", 20),
      new Person("Paul", 32),
      new Person("Paula", 32),
      new Person("Jack", 2),
      new Person("Jack", 72),
      new Person("Pete", 35)
    );
  }

  public static void main(String[] args) {
    var result1 = createPeople().stream()
      .map(Person::getName)
      .reduce(
        new ArrayList<String>(),
        (list, name) -> {
	  var result = new ArrayList<String>(list);
	  result.add(name);
	  return result;
	},
	(list1, list2) -> {
	  var result = new ArrayList<String>(list1);
	  result.addAll(list2);
	  return result;
	}
      );

    System.out.println(result1);

    //That was a lot of work, hard, error prone, and very unpleasant
    //to maintain.


    var result2 = createPeople().stream()
      .map(Person::getName)
      .collect(toList());

    System.out.println(result2);
  }
}


