import java.util.*;
import static java.util.stream.Collectors.*;

public class Sample {
  public static List<Person> createPeople() {
    return List.of(
      new Person("Sara", 20),
      new Person("Bob", 20),
      new Person("Sara", 20),
      new Person("Paul", 32),
      new Person("Paula", 32),
      new Person("Jack", 2),
      new Person("Jack", 72),
      new Person("Pete", 35)
    );
  }

  public static void main(String[] args) {
    var namesList = createPeople().stream()
      .map(Person::getName)
      .collect(toList());

    System.out.println(namesList);

    var namesSet = createPeople().stream()
      .map(Person::getName)
      .collect(toSet());

    System.out.println(namesSet);
    //Set does not gurantee any order and also makes elements distinct
  }
}


