import java.util.*;
import java.util.stream.*;

public class Sample {
  public static List<Person> createPeople() {
    return List.of(
      new Person("Sara", 20),
      new Person("Bob", 20),
      new Person("Sara", 20),
      new Person("Paul", 32),
      new Person("Paula", 32),
      new Person("Jack", 2),
      new Person("Jack", 72),
      new Person("Pete", 35)
    );
  }

  public static void main(String[] args) {
    String phrase = "hello world";

    //pick a letter, count number of occurances, if > 1 you found it
    //But we need a way to count the number of occurances

    //Or, use indexOf and lastIndexOf

    var letter = Stream.of(phrase.split(""))
      .filter(ch -> phrase.lastIndexOf(ch) > phrase.indexOf(ch))
      .findFirst()
      .orElse("");

    System.out.println(letter);
  }
}

