import java.util.*;
import static java.util.stream.Collectors.*;

public class Sample {
  public static List<Person> createPeople() {
    return List.of(
      new Person("Sara", 20),
      new Person("Bob", 20),
      new Person("Sara", 20),
      new Person("Paul", 32),
      new Person("Paula", 32),
      new Person("Jack", 2),
      new Person("Jack", 72),
      new Person("Pete", 35)
    );
  }

  public static void main(String[] args) {
    var numbers = List.of(1, 2, 3, 4, 5, 6, 7, 8, 9, 10);

    System.out.println("Count of even: " + numbers.stream()
      .filter(e -> e % 2 == 0)
      .count());

    System.out.println("Total of even: " + numbers.stream()
      .filter(e -> e % 2 == 0)
      .mapToInt(e -> e)
      .sum());

    System.out.println("Count and Total of even: " + numbers.stream()
      .filter(e -> e % 2 == 0)
      .collect(teeing(
        counting(),
	summingInt(e -> e),
	(count, sum) -> List.of(count, sum))));
  }
}

