import java.util.*;
import static java.util.stream.Collectors.*;

public class Sample {
  public static List<Person> createPeople() {
    return List.of(
      new Person("Sara", 20),
      new Person("Bob", 20),
      new Person("Sara", 20),
      new Person("Paul", 32),
      new Person("Paula", 32),
      new Person("Jack", 2),
      new Person("Jack", 72),
      new Person("Pete", 35)
    );
  }

  public static void main(String[] args) {
    Map<String, Integer> result = createPeople().stream()
      //.collect(groupingBy(Person::getName, counting())); //ERROR
      .collect(groupingBy(Person::getName, 
        collectingAndThen(counting(), Long::intValue)));

    System.out.println(result);
  }
}

